> ## Documentation Index
> Fetch the complete documentation index at: https://camelai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update data source configuration

> Update configuration for any type of data source. The required fields depend on the connection type.



## OpenAPI

````yaml https://api.camelai.com/api/schema/ patch /api/v1/sources/{id}/update-config/
openapi: 3.0.3
info:
  title: camelAI API
  version: 1.0.0 (v1)
  description: API for camelAI - AI-powered data analytics platform
servers:
  - url: https://api.camelai.com
    description: camelAI API server
security: []
paths:
  /api/v1/sources/{id}/update-config/:
    patch:
      tags:
        - sources
      summary: Update data source configuration
      description: >-
        Update configuration for any type of data source. The required fields
        depend on the connection type.
      operationId: sources_update_config_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
        - in: path
          name: pk
          schema:
            type: integer
          description: ID of the source to update
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedSourceConfigUpdateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    description: Connection ID
                  account_name:
                    type: string
                    description: Connection name
                  type:
                    type: string
                    description: Connection type
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                  errors:
                    type: object
                    description: Field-specific validation errors
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    description: Not found error message
          description: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PatchedSourceConfigUpdateRequest:
      type: object
      properties:
        account_name:
          type: string
          minLength: 1
          description: Display name
        hostname:
          type: string
          minLength: 1
          description: Server hostname (for database connections)
        port:
          type: integer
          description: Port number
        username:
          type: string
          minLength: 1
          description: Username
        password:
          type: string
          minLength: 1
          description: Password
        database_name:
          type: string
          minLength: 1
          description: Database name
        connection_string:
          type: string
          minLength: 1
          description: Connection string
        service_account_key:
          description: Service account key (BigQuery)
        token:
          type: string
          minLength: 1
          description: Authentication token
        host:
          type: string
          minLength: 1
          description: Host (ClickHouse)
        database:
          type: string
          minLength: 1
          description: Database (ClickHouse)
        account:
          type: string
          minLength: 1
          description: Account (Snowflake)
        user:
          type: string
          minLength: 1
          description: User (Snowflake)
        public_key:
          type: string
          minLength: 1
          description: Public key (Snowflake)
        selected_schemas:
          type: array
          items:
            type: string
            minLength: 1
          description: List of schema names to include (PostgreSQL, MySQL, etc.)
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer scheme

````